'''
Note: Taken from phishing_catcher github project
Description: convert IDN characters to ASCII
'''
confusables = {
    u'\u2460': '1',
    u'\u2780': '1',
    u'\U0001D7D0': '2',
    u'\U0001D7DA': '2',
    u'\U0001D7E4': '2',
    u'\U0001D7EE': '2',
    u'\U0001D7F8': '2',
    u'\uA75A': '2',
    u'\u01A7': '2',
    u'\u03E8': '2',
    u'\uA644': '2',
    u'\u14BF': '2',
    u'\uA6EF': '2',
    u'\u2461': '2',
    u'\u2781': '2',
    u'\u01BB': '2',
    u'\U0001F103': '2.',
    u'\u2489': '2.',
    u'\U0001D206': '3',
    u'\U0001D7D1': '3',
    u'\U0001D7DB': '3',
    u'\U0001D7E5': '3',
    u'\U0001D7EF': '3',
    u'\U0001D7F9': '3',
    u'\U00016F3B': '3',
    u'\U000118CA': '3',
    u'\uA7AB': '3',
    u'\u021C': '3',
    u'\u01B7': '3',
    u'\uA76A': '3',
    u'\u2CCC': '3',
    u'\u0417': '3',
    u'\u04E0': '3',
    u'\u0AE9': '3',
    u'\u2462': '3',
    u'\u0498': '3',
    u'\U0001F104': '3.',
    u'\u248A': '3.',
    u'\U0001D7D2': '4',
    u'\U0001D7DC': '4',
    u'\U0001D7E6': '4',
    u'\U0001D7F0': '4',
    u'\U0001D7FA': '4',
    u'\U000118AF': '4',
    u'\u13CE': '4',
    u'\u2463': '4',
    u'\u2783': '4',
    u'\u1530': '4',
    u'\U0001F105': '4.',
    u'\u248B': '4.',
    u'\U0001D7D3': '5',
    u'\U0001D7DD': '5',
    u'\U0001D7E7': '5',
    u'\U0001D7F1': '5',
    u'\U0001D7FB': '5',
    u'\U000118BB': '5',
    u'\u01BC': '5',
    u'\u2464': '5',
    u'\u2784': '5',
    u'\U0001F106': '5.',
    u'\u248C': '5.',
    u'\U0001D7D4': '6',
    u'\U0001D7DE': '6',
    u'\U0001D7E8': '6',
    u'\U0001D7F2': '6',
    u'\U0001D7FC': '6',
    u'\U000118D5': '6',
    u'\u2CD2': '6',
    u'\u0431': '6',
    u'\u13EE': '6',
    u'\u2465': '6',
    u'\u2785': '6',
    u'\U0001F107': '6.',
    u'\u248D': '6.',
    u'\U0001D212': '7',
    u'\U0001D7D5': '7',
    u'\U0001D7DF': '7',
    u'\U0001D7E9': '7',
    u'\U0001D7F3': '7',
    u'\U0001D7FD': '7',
    u'\U000104D2': '7',
    u'\U000118C6': '7',
    u'\u2466': '7',
    u'\u2786': '7',
    u'\U0001F108': '7.',
    u'\u248E': '7.',
    u'\U0001E8CB': '8',
    u'\U0001D7D6': '8',
    u'\U0001D7E0': '8',
    u'\U0001D7EA': '8',
    u'\U0001D7F4': '8',
    u'\U0001D7FE': '8',
    u'\U0001031A': '8',
    u'\u0B03': '8',
    u'\u09EA': '8',
    u'\u0A6A': '8',
    u'\u0223': '8',
    u'\u0222': '8',
    u'\u2467': '8',
    u'\u2787': '8',
    u'\U0001F109': '8.',
    u'\u248F': '8.',
    u'\U0001D7D7': '9',
    u'\U0001D7E1': '9',
    u'\U0001D7E4': '9',
    u'\U0001D7EB': '9',
    u'\U0001D7F5': '9',
    u'\U0001D7FF': '9',
    u'\U000118CC': '9',
    u'\U000118AC': '9',
    u'\U000118D6': '9',
    u'\u0A67': '9',
    u'\u0B68': '9',
    u'\u09ED': '9',
    u'\u0D6D': '9',
    u'\uA76E': '9',
    u'\u2CCA': '9',
    u'\u0967': '9',
    u'\u06F9': '9',
    u'\u2468': '9',
    u'\u2788': '9',
    u'\U0001F10A': '9.',
    u'\u2490': '9.',
    u'\U0001D41A': 'a',
    u'\U0001D44E': 'a',
    u'\U0001D482': 'a',
    u'\U0001D4B6': 'a',
    u'\U0001D4EA': 'a',
    u'\U0001D51E': 'a',
    u'\U0001D552': 'a',
    u'\U0001D586': 'a',
    u'\U0001D5BA': 'a',
    u'\U0001D5EE': 'a',
    u'\U0001D622': 'a',
    u'\U0001D656': 'a',
    u'\U0001D68A': 'a',
    u'\U0001D6C2': 'a',
    u'\U0001D6FC': 'a',
    u'\U0001D736': 'a',
    u'\U0001D770': 'a',
    u'\U0001D7AA': 'a',
    u'\U0001D400': 'a',
    u'\U0001D434': 'a',
    u'\U0001D468': 'a',
    u'\U0001D49C': 'a',
    u'\U0001D4D0': 'a',
    u'\U0001D504': 'a',
    u'\U0001D538': 'a',
    u'\U0001D56C': 'a',
    u'\U0001D5A0': 'a',
    u'\U0001D5D4': 'a',
    u'\U0001D608': 'a',
    u'\U0001D63C': 'a',
    u'\U0001D670': 'a',
    u'\U0001D6A8': 'a',
    u'\U0001D6E2': 'a',
    u'\U0001D71C': 'a',
    u'\U0001D756': 'a',
    u'\U0001D790': 'a',
    u'\u237A': 'a',
    u'\uFF41': 'a',
    u'\u0251': 'a',
    u'\u03B1': 'a',
    u'\u0430': 'a',
    u'\u2DF6': 'a',
    u'\uFF21': 'a',
    u'\u0391': 'a',
    u'\u0410': 'a',
    u'\u13AA': 'a',
    u'\u15C5': 'a',
    u'\uA4EE': 'a',
    u'\u2376': 'a',
    u'\u01CE': 'a',
    u'\u0103': 'a',
    u'\u01CD': 'a',
    u'\u0102': 'a',
    u'\u0227': 'a',
    u'\u00E5': 'a',
    u'\u0226': 'a',
    u'\u00C5': 'a',
    u'\u1E9A': 'a',
    u'\u1EA3': 'a',
    u'\uAB7A': 'a',
    u'\u1D00': 'a',
    u'\uA733': 'aa',
    u'\uA732': 'aa',
    u'\u00E6': 'ae',
    u'\u04D5': 'ae',
    u'\u00C6': 'ae',
    u'\u04D4': 'ae',
    u'\uA735': 'ao',
    u'\uA734': 'ao',
    u'\U0001F707': 'ar',
    u'\uA737': 'au',
    u'\uA736': 'au',
    u'\uA738': 'av',
    u'\uA739': 'av',
    u'\uA73A': 'av',
    u'\uA73B': 'av',
    u'\uA73D': 'ay',
    u'\uA73C': 'ay',
    u'\U0001D41B': 'b',
    u'\U0001D44F': 'b',
    u'\U0001D483': 'b',
    u'\U0001D4B7': 'b',
    u'\U0001D4EB': 'b',
    u'\U0001D51F': 'b',
    u'\U0001D553': 'b',
    u'\U0001D587': 'b',
    u'\U0001D5BB': 'b',
    u'\U0001D5EF': 'b',
    u'\U0001D623': 'b',
    u'\U0001D657': 'b',
    u'\U0001D68B': 'b',
    u'\U0001D401': 'b',
    u'\U0001D435': 'b',
    u'\U0001D469': 'b',
    u'\U0001D4D1': 'b',
    u'\U0001D505': 'b',
    u'\U0001D539': 'b',
    u'\U0001D56D': 'b',
    u'\U0001D5A1': 'b',
    u'\U0001D5D5': 'b',
    u'\U0001D609': 'b',
    u'\U0001D63D': 'b',
    u'\U0001D671': 'b',
    u'\U0001D6A9': 'b',
    u'\U0001D6E3': 'b',
    u'\U0001D71D': 'b',
    u'\U0001D757': 'b',
    u'\U0001D791': 'b',
    u'\U00010282': 'b',
    u'\U000102A1': 'b',
    u'\U00010301': 'b',
    u'\U0001D6C3': 'b',
    u'\U0001D6FD': 'b',
    u'\U0001D737': 'b',
    u'\U0001D771': 'b',
    u'\U0001D7AB': 'b',
    u'\u0184': 'b',
    u'\u042C': 'b',
    u'\u13CF': 'b',
    u'\u15AF': 'b',
    u'\uFF22': 'b',
    u'\u212C': 'b',
    u'\uA7B4': 'b',
    u'\u0392': 'b',
    u'\u0412': 'b',
    u'\u13F4': 'b',
    u'\u15F7': 'b',
    u'\uA4D0': 'b',
    u'\u0253': 'b',
    u'\u0183': 'b',
    u'\u0182': 'b',
    u'\u0411': 'b',
    u'\u0180': 'b',
    u'\u048D': 'b',
    u'\u048C': 'b',
    u'\u0463': 'b',
    u'\u0462': 'b',
    u'\u0432': 'b',
    u'\u13FC': 'b',
    u'\u0299': 'b',
    u'\uA7B5': 'b',
    u'\u03B2': 'b',
    u'\u03D0': 'b',
    u'\u13F0': 'b',
    u'\u00DF': 'b',
    u'\u042B': 'bl',
    u'\U0001D41C': 'c',
    u'\U0001D450': 'c',
    u'\U0001D484': 'c',
    u'\U0001D4B8': 'c',
    u'\U0001D4EC': 'c',
    u'\U0001D520': 'c',
    u'\U0001D554': 'c',
    u'\U0001D588': 'c',
    u'\U0001D5BC': 'c',
    u'\U0001D5F0': 'c',
    u'\U0001D624': 'c',
    u'\U0001D658': 'c',
    u'\U0001D68C': 'c',
    u'\U0001043D': 'c',
    u'\U0001F74C': 'c',
    u'\U000118F2': 'c',
    u'\U000118E9': 'c',
    u'\U0001D402': 'c',
    u'\U0001D436': 'c',
    u'\U0001D46A': 'c',
    u'\U0001D49E': 'c',
    u'\U0001D4D2': 'c',
    u'\U0001D56E': 'c',
    u'\U0001D5A2': 'c',
    u'\U0001D5D6': 'c',
    u'\U0001D60A': 'c',
    u'\U0001D63E': 'c',
    u'\U0001D672': 'c',
    u'\U000102A2': 'c',
    u'\U00010302': 'c',
    u'\U00010415': 'c',
    u'\U0001051C': 'c',
    u'\uFF43': 'c',
    u'\u217D': 'c',
    u'\u1D04': 'c',
    u'\u03F2': 'c',
    u'\u2CA5': 'c',
    u'\u0441': 'c',
    u'\uABAF': 'c',
    u'\u2DED': 'c',
    u'\uFF23': 'c',
    u'\u216D': 'c',
    u'\u2102': 'c',
    u'\u212D': 'c',
    u'\u03F9': 'c',
    u'\u2CA4': 'c',
    u'\u0421': 'c',
    u'\u13DF': 'c',
    u'\uA4DA': 'c',
    u'\u00A2': 'c',
    u'\u023C': 'c',
    u'\u20A1': 'c',
    u'\u00E7': 'c',
    u'\u04AB': 'c',
    u'\u00C7': 'c',
    u'\u04AA': 'c',
    u'\u0187': 'c',
    u'\U0001D41D': 'd',
    u'\U0001D451': 'd',
    u'\U0001D485': 'd',
    u'\U0001D4B9': 'd',
    u'\U0001D4ED': 'd',
    u'\U0001D521': 'd',
    u'\U0001D555': 'd',
    u'\U0001D589': 'd',
    u'\U0001D5BD': 'd',
    u'\U0001D5F1': 'd',
    u'\U0001D625': 'd',
    u'\U0001D659': 'd',
    u'\U0001D68D': 'd',
    u'\U0001D403': 'd',
    u'\U0001D437': 'd',
    u'\U0001D46B': 'd',
    u'\U0001D49F': 'd',
    u'\U0001D4D3': 'd',
    u'\U0001D507': 'd',
    u'\U0001D53B': 'd',
    u'\U0001D56F': 'd',
    u'\U0001D5A3': 'd',
    u'\U0001D5D7': 'd',
    u'\U0001D60B': 'd',
    u'\U0001D63F': 'd',
    u'\U0001D673': 'd',
    u'\u217E': 'd',
    u'\u2146': 'd',
    u'\u0501': 'd',
    u'\u13E7': 'd',
    u'\u146F': 'd',
    u'\uA4D2': 'd',
    u'\u216E': 'd',
    u'\u2145': 'd',
    u'\u13A0': 'd',
    u'\u15DE': 'd',
    u'\u15EA': 'd',
    u'\uA4D3': 'd',
    u'\u0257': 'd',
    u'\u0256': 'd',
    u'\u018C': 'd',
    u'\u0111': 'd',
    u'\u0110': 'd',
    u'\u00D0': 'd',
    u'\u0189': 'd',
    u'\u20AB': 'd',
    u'\u147B': 'd',
    u'\u1487': 'd',
    u'\u0257': 'd',
    u'\u0256': 'd',
    u'\u018C': 'd',
    u'\u0111': 'd',
    u'\u0110': 'd',
    u'\u00D0': 'd',
    u'\u0189': 'd',
    u'\u20AB': 'd',
    u'\u147B': 'd',
    u'\u1487': 'd',
    u'\uAB70': 'd',
    u'\U0001D41E': 'e',
    u'\U0001D452': 'e',
    u'\U0001D486': 'e',
    u'\U0001D4EE': 'e',
    u'\U0001D522': 'e',
    u'\U0001D556': 'e',
    u'\U0001D58A': 'e',
    u'\U0001D5BE': 'e',
    u'\U0001D5F2': 'e',
    u'\U0001D626': 'e',
    u'\U0001D65A': 'e',
    u'\U0001D68E': 'e',
    u'\U0001D404': 'e',
    u'\U0001D438': 'e',
    u'\U0001D46C': 'e',
    u'\U0001D4D4': 'e',
    u'\U0001D508': 'e',
    u'\U0001D53C': 'e',
    u'\U0001D570': 'e',
    u'\U0001D5A4': 'e',
    u'\U0001D5D8': 'e',
    u'\U0001D60C': 'e',
    u'\U0001D640': 'e',
    u'\U0001D674': 'e',
    u'\U0001D6AC': 'e',
    u'\U0001D6E6': 'e',
    u'\U0001D720': 'e',
    u'\U0001D75A': 'e',
    u'\U0001D794': 'e',
    u'\U000118A6': 'e',
    u'\U000118AE': 'e',
    u'\U00010286': 'e',
    u'\U0001D221': 'e',
    u'\u212E': 'e',
    u'\uFF45': 'e',
    u'\u212F': 'e',
    u'\u2147': 'e',
    u'\uAB32': 'e',
    u'\u0435': 'e',
    u'\u04BD': 'e',
    u'\u2DF7': 'e',
    u'\u22FF': 'e',
    u'\uFF25': 'e',
    u'\u2130': 'e',
    u'\u0395': 'e',
    u'\u0415': 'e',
    u'\u2D39': 'e',
    u'\u13AC': 'e',
    u'\uA4F0': 'e',
    u'\u011B': 'e',
    u'\u011A': 'e',
    u'\u0247': 'e',
    u'\u0246': 'e',
    u'\u04BF': 'e',
    u'\uAB7C': 'e',
    u'\u1D07': 'e',
    u'\u0259': 'e',
    u'\u01DD': 'e',
    u'\u04D9': 'e',
    u'\u2107': 'e',
    u'\u0510': 'e',
    u'\u13CB': 'e',
    u'\U0001D41F': 'f',
    u'\U0001D453': 'f',
    u'\U0001D487': 'f',
    u'\U0001D4BB': 'f',
    u'\U0001D4EF': 'f',
    u'\U0001D523': 'f',
    u'\U0001D557': 'f',
    u'\U0001D58B': 'f',
    u'\U0001D5BF': 'f',
    u'\U0001D5F3': 'f',
    u'\U0001D627': 'f',
    u'\U0001D65B': 'f',
    u'\U0001D68F': 'f',
    u'\U0001D213': 'f',
    u'\U0001D405': 'f',
    u'\U0001D439': 'f',
    u'\U0001D46D': 'f',
    u'\U0001D4D5': 'f',
    u'\U0001D509': 'f',
    u'\U0001D53D': 'f',
    u'\U0001D571': 'f',
    u'\U0001D5A5': 'f',
    u'\U0001D5D9': 'f',
    u'\U0001D60D': 'f',
    u'\U0001D641': 'f',
    u'\U0001D675': 'f',
    u'\U0001D7CA': 'f',
    u'\U000118C2': 'f',
    u'\U000118A2': 'f',
    u'\U00010287': 'f',
    u'\U000102A5': 'f',
    u'\U00010525': 'f',
    u'\uAB35': 'f',
    u'\uA799': 'f',
    u'\u017F': 'f',
    u'\u1E9D': 'f',
    u'\u0584': 'f',
    u'\u2131': 'f',
    u'\uA798': 'f',
    u'\u03DC': 'f',
    u'\u15B4': 'f',
    u'\uA4DD': 'f',
    u'\u0192': 'f',
    u'\u0191': 'f',
    u'\u1D6E': 'f',
    u'\uFB00': 'ff',
    u'\uFB03': 'ffi',
    u'\uFB04': 'ffl',
    u'\uFB01': 'fi',
    u'\uFB02': 'fl',
    u'\u02A9': 'fn',
    u'\U0001D420': 'g',
    u'\U0001D454': 'g',
    u'\U0001D488': 'g',
    u'\U0001D4F0': 'g',
    u'\U0001D524': 'g',
    u'\U0001D558': 'g',
    u'\U0001D58C': 'g',
    u'\U0001D5C0': 'g',
    u'\U0001D5F4': 'g',
    u'\U0001D628': 'g',
    u'\U0001D65C': 'g',
    u'\U0001D690': 'g',
    u'\U0001D406': 'g',
    u'\U0001D43A': 'g',
    u'\U0001D46E': 'g',
    u'\U0001D4A2': 'g',
    u'\U0001D4D6': 'g',
    u'\U0001D50A': 'g',
    u'\U0001D53E': 'g',
    u'\U0001D572': 'g',
    u'\U0001D5A6': 'g',
    u'\U0001D5DA': 'g',
    u'\U0001D60E': 'g',
    u'\U0001D642': 'g',
    u'\U0001D676': 'g',
    u'\uFF47': 'g',
    u'\u210A': 'g',
    u'\u0261': 'g',
    u'\u1D83': 'g',
    u'\u018D': 'g',
    u'\u0581': 'g',
    u'\u050C': 'g',
    u'\u13C0': 'g',
    u'\u13F3': 'g',
    u'\uA4D6': 'g',
    u'\u1DA2': 'g',
    u'\u1D4D': 'g',
    u'\u0260': 'g',
    u'\u01E7': 'g',
    u'\u011F': 'g',
    u'\u01E6': 'g',
    u'\u011E': 'g',
    u'\u01F5': 'g',
    u'\u0123': 'g',
    u'\u01E5': 'g',
    u'\u01E4': 'g',
    u'\u0193': 'g',
    u'\u050D': 'g',
    u'\uAB90': 'g',
    u'\u13FB': 'g',
    u'\U0001D421': 'h',
    u'\U0001D489': 'h',
    u'\U0001D4BD': 'h',
    u'\U0001D4F1': 'h',
    u'\U0001D525': 'h',
    u'\U0001D559': 'h',
    u'\U0001D58D': 'h',
    u'\U0001D5C1': 'h',
    u'\U0001D5F5': 'h',
    u'\U0001D629': 'h',
    u'\U0001D65D': 'h',
    u'\U0001D691': 'h',
    u'\U0001D407': 'h',
    u'\U0001D43B': 'h',
    u'\U0001D46F': 'h',
    u'\U0001D4D7': 'h',
    u'\U0001D573': 'h',
    u'\U0001D5A7': 'h',
    u'\U0001D5DB': 'h',
    u'\U0001D60F': 'h',
    u'\U0001D643': 'h',
    u'\U0001D677': 'h',
    u'\U0001D6AE': 'h',
    u'\U0001D6E8': 'h',
    u'\U0001D722': 'h',
    u'\U0001D75C': 'h',
    u'\U0001D796': 'h',
    u'\U000102CF': 'h',
    u'\U00010199': 'h',
    u'\uFF48': 'h',
    u'\u210E': 'h',
    u'\u04BB': 'h',
    u'\u0570': 'h',
    u'\u13C2': 'h',
    u'\uFF28': 'h',
    u'\u210B': 'h',
    u'\u210C': 'h',
    u'\u210D': 'h',
    u'\u0397': 'h',
    u'\u2C8E': 'h',
    u'\u041D': 'h',
    u'\u13BB': 'h',
    u'\u157C': 'h',
    u'\uA4E7': 'h',
    u'\u1D78': 'h',
    u'\u1D34': 'h',
    u'\u0266': 'h',
    u'\uA695': 'h',
    u'\u13F2': 'h',
    u'\u2C67': 'h',
    u'\u04A2': 'h',
    u'\u0127': 'h',
    u'\u210F': 'h',
    u'\u045B': 'h',
    u'\u0126': 'h',
    u'\u04C9': 'h',
    u'\u04C7': 'h',
    u'\u043D': 'h',
    u'\u029C': 'h',
    u'\uAB8B': 'h',
    u'\u04A3': 'h',
    u'\u04CA': 'h',
    u'\u04C8': 'h',
    u'\U0001D422': 'i',
    u'\U0001D456': 'i',
    u'\U0001D48A': 'i',
    u'\U0001D4BE': 'i',
    u'\U0001D4F2': 'i',
    u'\U0001D526': 'i',
    u'\U0001D55A': 'i',
    u'\U0001D58E': 'i',
    u'\U0001D5C2': 'i',
    u'\U0001D5F6': 'i',
    u'\U0001D62A': 'i',
    u'\U0001D65E': 'i',
    u'\U0001D692': 'i',
    u'\U0001D6A4': 'i',
    u'\U0001D6CA': 'i',
    u'\U0001D704': 'i',
    u'\U0001D73E': 'i',
    u'\U0001D778': 'i',
    u'\U0001D7B2': 'i',
    u'\U000118C3': 'i',
    u'\u02DB': 'i',
    u'\u2373': 'i',
    u'\uFF49': 'i',
    u'\u2170': 'i',
    u'\u2139': 'i',
    u'\u2148': 'i',
    u'\u0131': 'i',
    u'\u026A': 'i',
    u'\u0269': 'i',
    u'\u03B9': 'i',
    u'\u1FBE': 'i',
    u'\u037A': 'i',
    u'\u0456': 'i',
    u'\uA647': 'i',
    u'\u04CF': 'i',
    u'\uAB75': 'i',
    u'\u13A5': 'i',
    u'\u24DB': 'i',
    u'\u2378': 'i',
    u'\u01D0': 'i',
    u'\u01CF': 'i',
    u'\u0268': 'i',
    u'\u1D7B': 'i',
    u'\u1D7C': 'i',
    u'\u2171': 'ii',
    u'\u2172': 'iii',
    u'\u0133': 'ij',
    u'\u2173': 'iv',
    u'\u2178': 'ix',
    u'\U0001D423': 'j',
    u'\U0001D457': 'j',
    u'\U0001D48B': 'j',
    u'\U0001D4BF': 'j',
    u'\U0001D4F3': 'j',
    u'\U0001D527': 'j',
    u'\U0001D55B': 'j',
    u'\U0001D58F': 'j',
    u'\U0001D5C3': 'j',
    u'\U0001D5F7': 'j',
    u'\U0001D62B': 'j',
    u'\U0001D65F': 'j',
    u'\U0001D693': 'j',
    u'\U0001D409': 'j',
    u'\U0001D43D': 'j',
    u'\U0001D471': 'j',
    u'\U0001D4A5': 'j',
    u'\U0001D4D9': 'j',
    u'\U0001D50D': 'j',
    u'\U0001D541': 'j',
    u'\U0001D575': 'j',
    u'\U0001D5A9': 'j',
    u'\U0001D5DD': 'j',
    u'\U0001D611': 'j',
    u'\U0001D645': 'j',
    u'\U0001D679': 'j',
    u'\U0001D6A5': 'j',
    u'\uFF4A': 'j',
    u'\u2149': 'j',
    u'\u03F3': 'j',
    u'\u0458': 'j',
    u'\uFF2A': 'j',
    u'\uA7B2': 'j',
    u'\u037F': 'j',
    u'\u0408': 'j',
    u'\u13AB': 'j',
    u'\u148D': 'j',
    u'\uA4D9': 'j',
    u'\u0249': 'j',
    u'\u0248': 'j',
    u'\u1499': 'j',
    u'\u0575': 'j',
    u'\uAB7B': 'j',
    u'\u1D0A': 'j',
    u'\U0001D424': 'k',
    u'\U0001D458': 'k',
    u'\U0001D48C': 'k',
    u'\U0001D4C0': 'k',
    u'\U0001D4F4': 'k',
    u'\U0001D528': 'k',
    u'\U0001D55C': 'k',
    u'\U0001D590': 'k',
    u'\U0001D5C4': 'k',
    u'\U0001D5F8': 'k',
    u'\U0001D62C': 'k',
    u'\U0001D660': 'k',
    u'\U0001D694': 'k',
    u'\U0001D40A': 'k',
    u'\U0001D43E': 'k',
    u'\U0001D472': 'k',
    u'\U0001D4A6': 'k',
    u'\U0001D4DA': 'k',
    u'\U0001D50E': 'k',
    u'\U0001D542': 'k',
    u'\U0001D576': 'k',
    u'\U0001D5AA': 'k',
    u'\U0001D5DE': 'k',
    u'\U0001D612': 'k',
    u'\U0001D646': 'k',
    u'\U0001D67A': 'k',
    u'\U0001D6B1': 'k',
    u'\U0001D6EB': 'k',
    u'\U0001D725': 'k',
    u'\U0001D75F': 'k',
    u'\U0001D799': 'k',
    u'\U0001D6CB': 'k',
    u'\U0001D6DE': 'k',
    u'\U0001D705': 'k',
    u'\U0001D718': 'k',
    u'\U0001D73F': 'k',
    u'\U0001D752': 'k',
    u'\U0001D779': 'k',
    u'\U0001D78C': 'k',
    u'\U0001D7B3': 'k',
    u'\U0001D7C6': 'k',
    u'\u212A': 'k',
    u'\uFF2B': 'k',
    u'\u039A': 'k',
    u'\u2C94': 'k',
    u'\u041A': 'k',
    u'\u13E6': 'k',
    u'\u16D5': 'k',
    u'\uA4D7': 'k',
    u'\u0199': 'k',
    u'\u2C69': 'k',
    u'\u049A': 'k',
    u'\u20AD': 'k',
    u'\uA740': 'k',
    u'\u049E': 'k',
    u'\u0198': 'k',
    u'\u1D0B': 'k',
    u'\u0138': 'k',
    u'\u03BA': 'k',
    u'\u03F0': 'k',
    u'\u2C95': 'k',
    u'\u043A': 'k',
    u'\uABB6': 'k',
    u'\u049B': 'k',
    u'\u049F': 'k',
    u'\U00010320': 'l',
    u'\U0001E8C7': 'l',
    u'\U0001D7CF': 'l',
    u'\U0001D7D9': 'l',
    u'\U0001D7E3': 'l',
    u'\U0001D7ED': 'l',
    u'\U0001D7F7': 'l',
    u'\U0001D408': 'l',
    u'\U0001D43C': 'l',
    u'\U0001D470': 'l',
    u'\U0001D4D8': 'l',
    u'\U0001D540': 'l',
    u'\U0001D574': 'l',
    u'\U0001D5A8': 'l',
    u'\U0001D5DC': 'l',
    u'\U0001D610': 'l',
    u'\U0001D644': 'l',
    u'\U0001D678': 'l',
    u'\U0001D425': 'l',
    u'\U0001D459': 'l',
    u'\U0001D48D': 'l',
    u'\U0001D4C1': 'l',
    u'\U0001D4F5': 'l',
    u'\U0001D529': 'l',
    u'\U0001D55D': 'l',
    u'\U0001D591': 'l',
    u'\U0001D5C5': 'l',
    u'\U0001D5F9': 'l',
    u'\U0001D62D': 'l',
    u'\U0001D661': 'l',
    u'\U0001D695': 'l',
    u'\U0001D6B0': 'l',
    u'\U0001D6EA': 'l',
    u'\U0001D724': 'l',
    u'\U0001D75E': 'l',
    u'\U0001D798': 'l',
    u'\U0001EE00': 'l',
    u'\U0001EE80': 'l',
    u'\U00016F28': 'l',
    u'\U0001028A': 'l',
    u'\U00010309': 'l',
    u'\U0001D22A': 'l',
    u'\U0001D40B': 'l',
    u'\U0001D43F': 'l',
    u'\U0001D473': 'l',
    u'\U0001D4DB': 'l',
    u'\U0001D50F': 'l',
    u'\U0001D543': 'l',
    u'\U0001D577': 'l',
    u'\U0001D5AB': 'l',
    u'\U0001D5DF': 'l',
    u'\U0001D613': 'l',
    u'\U0001D647': 'l',
    u'\U0001D67B': 'l',
    u'\U00016F16': 'l',
    u'\U000118A3': 'l',
    u'\U000118B2': 'l',
    u'\U0001041B': 'l',
    u'\U00010526': 'l',
    u'\U00010443': 'l',
    u'\u05C0': 'l',
    u'\u007C': 'l',
    u'\u2223': 'l',
    u'\u23FD': 'l',
    u'\uFFE8': 'l',
    u'\u0031': 'l',
    u'\u0661': 'l',
    u'\u06F1': 'l',
    u'\u0049': 'l',
    u'\uFF29': 'l',
    u'\u2160': 'l',
    u'\u2110': 'l',
    u'\u2111': 'l',
    u'\u0196': 'l',
    u'\uFF4C': 'l',
    u'\u217C': 'l',
    u'\u2113': 'l',
    u'\u01C0': 'l',
    u'\u0399': 'l',
    u'\u2C92': 'l',
    u'\u0406': 'l',
    u'\u04C0': 'l',
    u'\u05D5': 'l',
    u'\u05DF': 'l',
    u'\u0627': 'l',
    u'\uFE8E': 'l',
    u'\uFE8D': 'l',
    u'\u07CA': 'l',
    u'\u2D4F': 'l',
    u'\u16C1': 'l',
    u'\uA4F2': 'l',
    u'\u216C': 'l',
    u'\u2112': 'l',
    u'\u2CD0': 'l',
    u'\u13DE': 'l',
    u'\u14AA': 'l',
    u'\uA4E1': 'l',
    u'\uFD3C': 'l',
    u'\uFD3D': 'l',
    u'\u0142': 'l',
    u'\u0141': 'l',
    u'\u026D': 'l',
    u'\u0197': 'l',
    u'\u019A': 'l',
    u'\u026B': 'l',
    u'\u0625': 'l',
    u'\uFE88': 'l',
    u'\uFE87': 'l',
    u'\u0673': 'l',
    u'\u0140': 'l',
    u'\u013F': 'l',
    u'\u14B7': 'l',
    u'\u0623': 'l',
    u'\uFE84': 'l',
    u'\uFE83': 'l',
    u'\u0672': 'l',
    u'\u0675': 'l',
    u'\u2CD1': 'l',
    u'\uABAE': 'l',
    u'\U0001F102': 'l.',
    u'\u2488': 'l.',
    u'\u01C9': 'lj',
    u'\u0132': 'lj',
    u'\u01C8': 'lj',
    u'\u01C7': 'lj',
    u'\u2016': 'll',
    u'\u2225': 'll',
    u'\u2161': 'll',
    u'\u01C1': 'll',
    u'\u05F0': 'll',
    u'\u2162': 'lll',
    u'\u02AA': 'ls',
    u'\u20B6': 'lt',
    u'\u2163': 'lv',
    u'\u2168': 'lx',
    u'\u02AB': 'lz',
    u'\U0001D40C': 'm',
    u'\U0001D440': 'm',
    u'\U0001D474': 'm',
    u'\U0001D4DC': 'm',
    u'\U0001D510': 'm',
    u'\U0001D544': 'm',
    u'\U0001D578': 'm',
    u'\U0001D5AC': 'm',
    u'\U0001D5E0': 'm',
    u'\U0001D614': 'm',
    u'\U0001D648': 'm',
    u'\U0001D67C': 'm',
    u'\U0001D6B3': 'm',
    u'\U0001D6ED': 'm',
    u'\U0001D727': 'm',
    u'\U0001D761': 'm',
    u'\U0001D79B': 'm',
    u'\U000102B0': 'm',
    u'\U00010311': 'm',
    u'\uFF2D': 'm',
    u'\u216F': 'm',
    u'\u2133': 'm',
    u'\u039C': 'm',
    u'\u03FA': 'm',
    u'\u2C98': 'm',
    u'\u041C': 'm',
    u'\u13B7': 'm',
    u'\u15F0': 'm',
    u'\u16D6': 'm',
    u'\uA4DF': 'm',
    u'\u04CD': 'm',
    u'\u2DE8': 'm',
    u'\u1DDF': 'm',
    u'\u1E43': 'm',
    u'\U0001F76B': 'mb',
    u'\U0001D427': 'n',
    u'\U0001D45B': 'n',
    u'\U0001D48F': 'n',
    u'\U0001D4C3': 'n',
    u'\U0001D4F7': 'n',
    u'\U0001D52B': 'n',
    u'\U0001D55F': 'n',
    u'\U0001D593': 'n',
    u'\U0001D5C7': 'n',
    u'\U0001D5FB': 'n',
    u'\U0001D62F': 'n',
    u'\U0001D663': 'n',
    u'\U0001D697': 'n',
    u'\U0001D40D': 'n',
    u'\U0001D441': 'n',
    u'\U0001D475': 'n',
    u'\U0001D4A9': 'n',
    u'\U0001D4DD': 'n',
    u'\U0001D511': 'n',
    u'\U0001D579': 'n',
    u'\U0001D5AD': 'n',
    u'\U0001D5E1': 'n',
    u'\U0001D615': 'n',
    u'\U0001D649': 'n',
    u'\U0001D67D': 'n',
    u'\U0001D6B4': 'n',
    u'\U0001D6EE': 'n',
    u'\U0001D728': 'n',
    u'\U0001D762': 'n',
    u'\U0001D79C': 'n',
    u'\U00010513': 'n',
    u'\U0001018E': 'n',
    u'\U0001D6C8': 'n',
    u'\U0001D702': 'n',
    u'\U0001D73C': 'n',
    u'\U0001D776': 'n',
    u'\U0001D7B0': 'n',
    u'\U0001044D': 'n',
    u'\u0578': 'n',
    u'\u057C': 'n',
    u'\uFF2E': 'n',
    u'\u2115': 'n',
    u'\u039D': 'n',
    u'\u2C9A': 'n',
    u'\uA4E0': 'n',
    u'\u0273': 'n',
    u'\u019E': 'n',
    u'\u03B7': 'n',
    u'\u019D': 'n',
    u'\u1D70': 'n',
    u'\u0146': 'n',
    u'\u0272': 'n',
    u'\u01CC': 'nj',
    u'\u01CB': 'nj',
    u'\u01CA': 'nj',
    u'\u2116': 'no',
    u'\U0001D428': 'o',
    u'\U0001D45C': 'o',
    u'\U0001D490': 'o',
    u'\U0001D4F8': 'o',
    u'\U0001D52C': 'o',
    u'\U0001D560': 'o',
    u'\U0001D594': 'o',
    u'\U0001D5C8': 'o',
    u'\U0001D5FC': 'o',
    u'\U0001D630': 'o',
    u'\U0001D664': 'o',
    u'\U0001D698': 'o',
    u'\U0001D6D0': 'o',
    u'\U0001D70A': 'o',
    u'\U0001D744': 'o',
    u'\U0001D77E': 'o',
    u'\U0001D7B8': 'o',
    u'\U0001D6D4': 'o',
    u'\U0001D70E': 'o',
    u'\U0001D748': 'o',
    u'\U0001D782': 'o',
    u'\U0001D7BC': 'o',
    u'\U0001EE24': 'o',
    u'\U0001EE64': 'o',
    u'\U0001EE84': 'o',
    u'\U000104EA': 'o',
    u'\U000118C8': 'o',
    u'\U000118D7': 'o',
    u'\U0001042C': 'o',
    u'\U000114D0': 'o',
    u'\U000118E0': 'o',
    u'\U0001D7CE': 'o',
    u'\U0001D7D8': 'o',
    u'\U0001D7E2': 'o',
    u'\U0001D7EC': 'o',
    u'\U0001D7F6': 'o',
    u'\U0001D40E': 'o',
    u'\U0001D442': 'o',
    u'\U0001D476': 'o',
    u'\U0001D4AA': 'o',
    u'\U0001D4DE': 'o',
    u'\U0001D512': 'o',
    u'\U0001D546': 'o',
    u'\U0001D57A': 'o',
    u'\U0001D5AE': 'o',
    u'\U0001D5E2': 'o',
    u'\U0001D616': 'o',
    u'\U0001D64A': 'o',
    u'\U0001D67E': 'o',
    u'\U0001D6B6': 'o',
    u'\U0001D6F0': 'o',
    u'\U0001D72A': 'o',
    u'\U0001D764': 'o',
    u'\U0001D79E': 'o',
    u'\U000104C2': 'o',
    u'\U000118B5': 'o',
    u'\U00010292': 'o',
    u'\U000102AB': 'o',
    u'\U00010404': 'o',
    u'\U00010516': 'o',
    u'\U0001D21A': 'o',
    u'\U0001F714': 'o',
    u'\U0001D6C9': 'o',
    u'\U0001D6DD': 'o',
    u'\U0001D703': 'o',
    u'\U0001D717': 'o',
    u'\U0001D73D': 'o',
    u'\U0001D751': 'o',
    u'\U0001D777': 'o',
    u'\U0001D78B': 'o',
    u'\U0001D7B1': 'o',
    u'\U0001D7C5': 'o',
    u'\U0001D6AF': 'o',
    u'\U0001D6B9': 'o',
    u'\U0001D6E9': 'o',
    u'\U0001D6F3': 'o',
    u'\U0001D723': 'o',
    u'\U0001D72D': 'o',
    u'\U0001D75D': 'o',
    u'\U0001D767': 'o',
    u'\U0001D797': 'o',
    u'\U0001D7A1': 'o',
    u'\U0001F101': 'o',
    u'\U0001F100': 'o',
    u'\u0C02': 'o',
    u'\u0C82': 'o',
    u'\u0D02': 'o',
    u'\u0D82': 'o',
    u'\u0966': 'o',
    u'\u0A66': 'o',
    u'\u0AE6': 'o',
    u'\u0BE6': 'o',
    u'\u0C66': 'o',
    u'\u0CE6': 'o',
    u'\u0D66': 'o',
    u'\u0E50': 'o',
    u'\u0ED0': 'o',
    u'\u1040': 'o',
    u'\u0665': 'o',
    u'\u06F5': 'o',
    u'\uFF4F': 'o',
    u'\u2134': 'o',
    u'\u1D0F': 'o',
    u'\u1D11': 'o',
    u'\uAB3D': 'o',
    u'\u03BF': 'o',
    u'\u03C3': 'o',
    u'\u2C9F': 'o',
    u'\u043E': 'o',
    u'\u10FF': 'o',
    u'\u0585': 'o',
    u'\u05E1': 'o',
    u'\u0647': 'o',
    u'\uFEEB': 'o',
    u'\uFEEC': 'o',
    u'\uFEEA': 'o',
    u'\uFEE9': 'o',
    u'\u06BE': 'o',
    u'\uFBAC': 'o',
    u'\uFBAD': 'o',
    u'\uFBAB': 'o',
    u'\uFBAA': 'o',
    u'\u06C1': 'o',
    u'\uFBA8': 'o',
    u'\uFBA9': 'o',
    u'\uFBA7': 'o',
    u'\uFBA6': 'o',
    u'\u06D5': 'o',
    u'\u0D20': 'o',
    u'\u101D': 'o',
    u'\u07C0': 'o',
    u'\u09E6': 'o',
    u'\u0B66': 'o',
    u'\u3007': 'o',
    u'\uFF2F': 'o',
    u'\u039F': 'o',
    u'\u2C9E': 'o',
    u'\u041E': 'o',
    u'\u0555': 'o',
    u'\u2D54': 'o',
    u'\u12D0': 'o',
    u'\u0B20': 'o',
    u'\uA4F3': 'o',
    u'\u2070': 'o',
    u'\u00BA': 'o',
    u'\u1D52': 'o',
    u'\u01D2': 'o',
    u'\u014F': 'o',
    u'\u01D1': 'o',
    u'\u014E': 'o',
    u'\u06FF': 'o',
    u'\u00F8': 'o',
    u'\uAB3E': 'o',
    u'\u00D8': 'o',
    u'\u2D41': 'o',
    u'\u01FE': 'o',
    u'\u0275': 'o',
    u'\uA74B': 'o',
    u'\u04E9': 'o',
    u'\u0473': 'o',
    u'\uAB8E': 'o',
    u'\uABBB': 'o',
    u'\u2296': 'o',
    u'\u229D': 'o',
    u'\u236C': 'o',
    u'\u019F': 'o',
    u'\uA74A': 'o',
    u'\u03B8': 'o',
    u'\u03D1': 'o',
    u'\u0398': 'o',
    u'\u03F4': 'o',
    u'\u04E8': 'o',
    u'\u0472': 'o',
    u'\u2D31': 'o',
    u'\u13BE': 'o',
    u'\u13EB': 'o',
    u'\uAB74': 'o',
    u'\uFCD9': 'o',
    u'\u01A1': 'o',
    u'\u01A0': 'o',
    u'\u13A4': 'o',
    u'\U0001F101': 'o.',
    u'\U0001F100': 'o.',
    u'\u0153': 'oe',
    u'\u0152': 'oe',
    u'\u0276': 'oe',
    u'\u221E': 'oo',
    u'\uA74F': 'oo',
    u'\uA699': 'oo',
    u'\uA74E': 'oo',
    u'\uA698': 'oo',
    u'\u1010': 'oo',
    u'\U0001D429': 'p',
    u'\U0001D45D': 'p',
    u'\U0001D491': 'p',
    u'\U0001D4C5': 'p',
    u'\U0001D4F9': 'p',
    u'\U0001D52D': 'p',
    u'\U0001D561': 'p',
    u'\U0001D595': 'p',
    u'\U0001D5C9': 'p',
    u'\U0001D5FD': 'p',
    u'\U0001D631': 'p',
    u'\U0001D665': 'p',
    u'\U0001D699': 'p',
    u'\U0001D6D2': 'p',
    u'\U0001D6E0': 'p',
    u'\U0001D70C': 'p',
    u'\U0001D71A': 'p',
    u'\U0001D746': 'p',
    u'\U0001D754': 'p',
    u'\U0001D780': 'p',
    u'\U0001D78E': 'p',
    u'\U0001D7BA': 'p',
    u'\U0001D7C8': 'p',
    u'\U0001D40F': 'p',
    u'\U0001D443': 'p',
    u'\U0001D477': 'p',
    u'\U0001D4AB': 'p',
    u'\U0001D4DF': 'p',
    u'\U0001D513': 'p',
    u'\U0001D57B': 'p',
    u'\U0001D5AF': 'p',
    u'\U0001D5E3': 'p',
    u'\U0001D617': 'p',
    u'\U0001D64B': 'p',
    u'\U0001D67F': 'p',
    u'\U0001D6B8': 'p',
    u'\U0001D6F2': 'p',
    u'\U0001D72C': 'p',
    u'\U0001D766': 'p',
    u'\U0001D7A0': 'p',
    u'\U00010295': 'p',
    u'\u2374': 'p',
    u'\uFF50': 'p',
    u'\u03C1': 'p',
    u'\u03F1': 'p',
    u'\u2CA3': 'p',
    u'\u0440': 'p',
    u'\uFF30': 'p',
    u'\u2119': 'p',
    u'\u03A1': 'p',
    u'\u2CA2': 'p',
    u'\u0420': 'p',
    u'\u13E2': 'p',
    u'\u146D': 'p',
    u'\uA4D1': 'p',
    u'\u01A5': 'p',
    u'\u1D7D': 'p',
    u'\u1477': 'p',
    u'\u1486': 'p',
    u'\u1D29': 'p',
    u'\uABB2': 'p',
    u'\U0001D42A': 'q',
    u'\U0001D45E': 'q',
    u'\U0001D492': 'q',
    u'\U0001D4C6': 'q',
    u'\U0001D4FA': 'q',
    u'\U0001D52E': 'q',
    u'\U0001D562': 'q',
    u'\U0001D596': 'q',
    u'\U0001D5CA': 'q',
    u'\U0001D5FE': 'q',
    u'\U0001D632': 'q',
    u'\U0001D666': 'q',
    u'\U0001D69A': 'q',
    u'\U0001D410': 'q',
    u'\U0001D444': 'q',
    u'\U0001D478': 'q',
    u'\U0001D4AC': 'q',
    u'\U0001D4E0': 'q',
    u'\U0001D514': 'q',
    u'\U0001D57C': 'q',
    u'\U0001D5B0': 'q',
    u'\U0001D5E4': 'q',
    u'\U0001D618': 'q',
    u'\U0001D64C': 'q',
    u'\U0001D680': 'q',
    u'\u051B': 'q',
    u'\u0563': 'q',
    u'\u0566': 'q',
    u'\u211A': 'q',
    u'\u2D55': 'q',
    u'\u02A0': 'q',
    u'\u1D90': 'q',
    u'\u024B': 'q',
    u'\U0001D42B': 'r',
    u'\U0001D45F': 'r',
    u'\U0001D493': 'r',
    u'\U0001D4C7': 'r',
    u'\U0001D4FB': 'r',
    u'\U0001D52F': 'r',
    u'\U0001D563': 'r',
    u'\U0001D597': 'r',
    u'\U0001D5CB': 'r',
    u'\U0001D5FF': 'r',
    u'\U0001D633': 'r',
    u'\U0001D667': 'r',
    u'\U0001D69B': 'r',
    u'\U0001D216': 'r',
    u'\U0001D411': 'r',
    u'\U0001D445': 'r',
    u'\U0001D479': 'r',
    u'\U0001D4E1': 'r',
    u'\U0001D57D': 'r',
    u'\U0001D5B1': 'r',
    u'\U0001D5E5': 'r',
    u'\U0001D619': 'r',
    u'\U0001D64D': 'r',
    u'\U0001D681': 'r',
    u'\U000104B4': 'r',
    u'\uAB47': 'r',
    u'\uAB48': 'r',
    u'\u1D26': 'r',
    u'\u2C85': 'r',
    u'\u0433': 'r',
    u'\uAB81': 'r',
    u'\u211B': 'r',
    u'\u211C': 'r',
    u'\u211D': 'r',
    u'\u01A6': 'r',
    u'\u13A1': 'r',
    u'\u13D2': 'r',
    u'\u1587': 'r',
    u'\uA4E3': 'r',
    u'\u027D': 'r',
    u'\u027C': 'r',
    u'\u024D': 'r',
    u'\u0493': 'r',
    u'\u1D72': 'r',
    u'\u0491': 'r',
    u'\uAB71': 'r',
    u'\u0280': 'r',
    u'\uABA2': 'r',
    u'\u1D73': 'r',
    u'\U000118E3': 'rn',
    u'\U0001D426': 'rn',
    u'\U0001D45A': 'rn',
    u'\U0001D48E': 'rn',
    u'\U0001D4C2': 'rn',
    u'\U0001D4F6': 'rn',
    u'\U0001D52A': 'rn',
    u'\U0001D55E': 'rn',
    u'\U0001D592': 'rn',
    u'\U0001D5C6': 'rn',
    u'\U0001D5FA': 'rn',
    u'\U0001D62E': 'rn',
    u'\U0001D662': 'rn',
    u'\U0001D696': 'rn',
    u'\U00011700': 'rn',
    u'\u217F': 'rn',
    u'\u20A5': 'rn',
    u'\u0271': 'rn',
    u'\u1D6F': 'rn',
    u'\U0001D42C': 's',
    u'\U0001D460': 's',
    u'\U0001D494': 's',
    u'\U0001D4C8': 's',
    u'\U0001D4FC': 's',
    u'\U0001D530': 's',
    u'\U0001D564': 's',
    u'\U0001D598': 's',
    u'\U0001D5CC': 's',
    u'\U0001D600': 's',
    u'\U0001D634': 's',
    u'\U0001D668': 's',
    u'\U0001D69C': 's',
    u'\U000118C1': 's',
    u'\U00010448': 's',
    u'\U0001D412': 's',
    u'\U0001D446': 's',
    u'\U0001D47A': 's',
    u'\U0001D4AE': 's',
    u'\U0001D4E2': 's',
    u'\U0001D516': 's',
    u'\U0001D54A': 's',
    u'\U0001D57E': 's',
    u'\U0001D5B2': 's',
    u'\U0001D5E6': 's',
    u'\U0001D61A': 's',
    u'\U0001D64E': 's',
    u'\U0001D682': 's',
    u'\U00016F3A': 's',
    u'\U00010296': 's',
    u'\U00010420': 's',
    u'\uFF53': 's',
    u'\uA731': 's',
    u'\u01BD': 's',
    u'\u0455': 's',
    u'\uABAA': 's',
    u'\uFF33': 's',
    u'\u0405': 's',
    u'\u054F': 's',
    u'\u13D5': 's',
    u'\u13DA': 's',
    u'\uA4E2': 's',
    u'\u0282': 's',
    u'\u1D74': 's',
    u'\U0001F75C': 'sss',
    u'\uFB06': 'st',
    u'\U0001D42D': 't',
    u'\U0001D461': 't',
    u'\U0001D495': 't',
    u'\U0001D4C9': 't',
    u'\U0001D4FD': 't',
    u'\U0001D531': 't',
    u'\U0001D565': 't',
    u'\U0001D599': 't',
    u'\U0001D5CD': 't',
    u'\U0001D601': 't',
    u'\U0001D635': 't',
    u'\U0001D669': 't',
    u'\U0001D69D': 't',
    u'\U0001F768': 't',
    u'\U0001D413': 't',
    u'\U0001D447': 't',
    u'\U0001D47B': 't',
    u'\U0001D4AF': 't',
    u'\U0001D4E3': 't',
    u'\U0001D517': 't',
    u'\U0001D54B': 't',
    u'\U0001D57F': 't',
    u'\U0001D5B3': 't',
    u'\U0001D5E7': 't',
    u'\U0001D61B': 't',
    u'\U0001D64F': 't',
    u'\U0001D683': 't',
    u'\U0001D6BB': 't',
    u'\U0001D6F5': 't',
    u'\U0001D72F': 't',
    u'\U0001D769': 't',
    u'\U0001D7A3': 't',
    u'\U00016F0A': 't',
    u'\U000118BC': 't',
    u'\U00010297': 't',
    u'\U000102B1': 't',
    u'\U00010315': 't',
    u'\U0001D6D5': 't',
    u'\U0001D70F': 't',
    u'\U0001D749': 't',
    u'\U0001D783': 't',
    u'\U0001D7BD': 't',
    u'\u22A4': 't',
    u'\u27D9': 't',
    u'\uFF34': 't',
    u'\u03A4': 't',
    u'\u2CA6': 't',
    u'\u0422': 't',
    u'\u13A2': 't',
    u'\uA4D4': 't',
    u'\u2361': 't',
    u'\u023E': 't',
    u'\u021A': 't',
    u'\u0162': 't',
    u'\u01AE': 't',
    u'\u04AC': 't',
    u'\u20AE': 't',
    u'\u0167': 't',
    u'\u0166': 't',
    u'\u1D75': 't',
    u'\U0001D42E': 'u',
    u'\U0001D462': 'u',
    u'\U0001D496': 'u',
    u'\U0001D4CA': 'u',
    u'\U0001D4FE': 'u',
    u'\U0001D532': 'u',
    u'\U0001D566': 'u',
    u'\U0001D59A': 'u',
    u'\U0001D5CE': 'u',
    u'\U0001D602': 'u',
    u'\U0001D636': 'u',
    u'\U0001D66A': 'u',
    u'\U0001D69E': 'u',
    u'\U0001D6D6': 'u',
    u'\U0001D710': 'u',
    u'\U0001D74A': 'u',
    u'\U0001D784': 'u',
    u'\U0001D7BE': 'u',
    u'\U000104F6': 'u',
    u'\U000118D8': 'u',
    u'\U0001D414': 'u',
    u'\U0001D448': 'u',
    u'\U0001D47C': 'u',
    u'\U0001D4B0': 'u',
    u'\U0001D4E4': 'u',
    u'\U0001D518': 'u',
    u'\U0001D54C': 'u',
    u'\U0001D580': 'u',
    u'\U0001D5B4': 'u',
    u'\U0001D5E8': 'u',
    u'\U0001D61C': 'u',
    u'\U0001D650': 'u',
    u'\U0001D684': 'u',
    u'\U000104CE': 'u',
    u'\U00016F42': 'u',
    u'\U000118B8': 'u',
    u'\uA79F': 'u',
    u'\u1D1C': 'u',
    u'\uAB4E': 'u',
    u'\uAB52': 'u',
    u'\u028B': 'u',
    u'\u03C5': 'u',
    u'\u057D': 'u',
    u'\u222A': 'u',
    u'\u22C3': 'u',
    u'\u054D': 'u',
    u'\u1200': 'u',
    u'\u144C': 'u',
    u'\uA4F4': 'u',
    u'\u01D4': 'u',
    u'\u01D3': 'u',
    u'\u1D7E': 'u',
    u'\uAB9C': 'u',
    u'\u0244': 'u',
    u'\u13CC': 'u',
    u'\u1458': 'u',
    u'\u1467': 'u',
    u'\u2127': 'u',
    u'\u162E': 'u',
    u'\u1634': 'u',
    u'\u01B1': 'u',
    u'\u1D7F': 'u',
    u'\u1D6B': 'ue',
    u'\uAB63': 'uo',
    u'\U0001D42F': 'v',
    u'\U0001D463': 'v',
    u'\U0001D497': 'v',
    u'\U0001D4CB': 'v',
    u'\U0001D4FF': 'v',
    u'\U0001D533': 'v',
    u'\U0001D567': 'v',
    u'\U0001D59B': 'v',
    u'\U0001D5CF': 'v',
    u'\U0001D603': 'v',
    u'\U0001D637': 'v',
    u'\U0001D66B': 'v',
    u'\U0001D69F': 'v',
    u'\U0001D6CE': 'v',
    u'\U0001D708': 'v',
    u'\U0001D742': 'v',
    u'\U0001D77C': 'v',
    u'\U0001D7B6': 'v',
    u'\U00011706': 'v',
    u'\U000118C0': 'v',
    u'\U0001D20D': 'v',
    u'\U0001D415': 'v',
    u'\U0001D449': 'v',
    u'\U0001D47D': 'v',
    u'\U0001D4B1': 'v',
    u'\U0001D4E5': 'v',
    u'\U0001D519': 'v',
    u'\U0001D54D': 'v',
    u'\U0001D581': 'v',
    u'\U0001D5B5': 'v',
    u'\U0001D5E9': 'v',
    u'\U0001D61D': 'v',
    u'\U0001D651': 'v',
    u'\U0001D685': 'v',
    u'\U00016F08': 'v',
    u'\U000118A0': 'v',
    u'\U0001051D': 'v',
    u'\U00010197': 'v',
    u'\U0001F708': 'v',
    u'\u2228': 'v',
    u'\u22C1': 'v',
    u'\uFF56': 'v',
    u'\u2174': 'v',
    u'\u1D20': 'v',
    u'\u03BD': 'v',
    u'\u0475': 'v',
    u'\u05D8': 'v',
    u'\uABA9': 'v',
    u'\u0667': 'v',
    u'\u06F7': 'v',
    u'\u2164': 'v',
    u'\u0474': 'v',
    u'\u2D38': 'v',
    u'\u13D9': 'v',
    u'\u142F': 'v',
    u'\uA6DF': 'v',
    u'\uA4E6': 'v',
    u'\u143B': 'v',
    u'\U0001F76C': 'vb',
    u'\u2175': 'vi',
    u'\u2176': 'vii',
    u'\u2177': 'viii',
    u'\u2165': 'vl',
    u'\u2166': 'vll',
    u'\u2167': 'vlll',
    u'\U0001D430': 'w',
    u'\U0001D464': 'w',
    u'\U0001D498': 'w',
    u'\U0001D4CC': 'w',
    u'\U0001D500': 'w',
    u'\U0001D534': 'w',
    u'\U0001D568': 'w',
    u'\U0001D59C': 'w',
    u'\U0001D5D0': 'w',
    u'\U0001D604': 'w',
    u'\U0001D638': 'w',
    u'\U0001D66C': 'w',
    u'\U0001D6A0': 'w',
    u'\U0001170A': 'w',
    u'\U0001170E': 'w',
    u'\U0001170F': 'w',
    u'\U000118EF': 'w',
    u'\U000118E6': 'w',
    u'\U0001D416': 'w',
    u'\U0001D44A': 'w',
    u'\U0001D47E': 'w',
    u'\U0001D4B2': 'w',
    u'\U0001D4E6': 'w',
    u'\U0001D51A': 'w',
    u'\U0001D54E': 'w',
    u'\U0001D582': 'w',
    u'\U0001D5B6': 'w',
    u'\U0001D5EA': 'w',
    u'\U0001D61E': 'w',
    u'\U0001D652': 'w',
    u'\U0001D686': 'w',
    u'\U000114C5': 'w',
    u'\u026F': 'w',
    u'\u1D21': 'w',
    u'\u0461': 'w',
    u'\u051D': 'w',
    u'\u0561': 'w',
    u'\uAB83': 'w',
    u'\u051C': 'w',
    u'\u13B3': 'w',
    u'\u13D4': 'w',
    u'\uA4EA': 'w',
    u'\u047D': 'w',
    u'\u20A9': 'w',
    u'\uA761': 'w',
    u'\U0001D431': 'x',
    u'\U0001D465': 'x',
    u'\U0001D499': 'x',
    u'\U0001D4CD': 'x',
    u'\U0001D501': 'x',
    u'\U0001D535': 'x',
    u'\U0001D569': 'x',
    u'\U0001D59D': 'x',
    u'\U0001D5D1': 'x',
    u'\U0001D605': 'x',
    u'\U0001D639': 'x',
    u'\U0001D66D': 'x',
    u'\U0001D6A1': 'x',
    u'\U00010322': 'x',
    u'\U000118EC': 'x',
    u'\U0001D417': 'x',
    u'\U0001D44B': 'x',
    u'\U0001D47F': 'x',
    u'\U0001D4B3': 'x',
    u'\U0001D4E7': 'x',
    u'\U0001D51B': 'x',
    u'\U0001D54F': 'x',
    u'\U0001D583': 'x',
    u'\U0001D5B7': 'x',
    u'\U0001D5EB': 'x',
    u'\U0001D61F': 'x',
    u'\U0001D653': 'x',
    u'\U0001D687': 'x',
    u'\U0001D6BE': 'x',
    u'\U0001D6F8': 'x',
    u'\U0001D732': 'x',
    u'\U0001D76C': 'x',
    u'\U0001D7A6': 'x',
    u'\U00010290': 'x',
    u'\U000102B4': 'x',
    u'\U00010317': 'x',
    u'\U00010527': 'x',
    u'\U00010196': 'x',
    u'\u166E': 'x',
    u'\u00D7': 'x',
    u'\u292B': 'x',
    u'\u292C': 'x',
    u'\u2A2F': 'x',
    u'\uFF58': 'x',
    u'\u2179': 'x',
    u'\u0445': 'x',
    u'\u1541': 'x',
    u'\u157D': 'x',
    u'\u2DEF': 'x',
    u'\u036F': 'x',
    u'\u166D': 'x',
    u'\u2573': 'x',
    u'\uFF38': 'x',
    u'\u2169': 'x',
    u'\uA7B3': 'x',
    u'\u03A7': 'x',
    u'\u2CAC': 'x',
    u'\u0425': 'x',
    u'\u2D5D': 'x',
    u'\u16B7': 'x',
    u'\uA4EB': 'x',
    u'\u2A30': 'x',
    u'\u04B2': 'x',
    u'\u217A': 'xi',
    u'\u217B': 'xii',
    u'\u216A': 'xl',
    u'\u216B': 'xll',
    u'\U0001D432': 'y',
    u'\U0001D466': 'y',
    u'\U0001D49A': 'y',
    u'\U0001D4CE': 'y',
    u'\U0001D502': 'y',
    u'\U0001D536': 'y',
    u'\U0001D56A': 'y',
    u'\U0001D59E': 'y',
    u'\U0001D5D2': 'y',
    u'\U0001D606': 'y',
    u'\U0001D63A': 'y',
    u'\U0001D66E': 'y',
    u'\U0001D6A2': 'y',
    u'\U0001D6C4': 'y',
    u'\U0001D6FE': 'y',
    u'\U0001D738': 'y',
    u'\U0001D772': 'y',
    u'\U0001D7AC': 'y',
    u'\U000118DC': 'y',
    u'\U0001D418': 'y',
    u'\U0001D44C': 'y',
    u'\U0001D480': 'y',
    u'\U0001D4B4': 'y',
    u'\U0001D4E8': 'y',
    u'\U0001D51C': 'y',
    u'\U0001D550': 'y',
    u'\U0001D584': 'y',
    u'\U0001D5B8': 'y',
    u'\U0001D5EC': 'y',
    u'\U0001D620': 'y',
    u'\U0001D654': 'y',
    u'\U0001D688': 'y',
    u'\U0001D6BC': 'y',
    u'\U0001D6F6': 'y',
    u'\U0001D730': 'y',
    u'\U0001D76A': 'y',
    u'\U0001D7A4': 'y',
    u'\U00016F43': 'y',
    u'\U000118A4': 'y',
    u'\U000102B2': 'y',
    u'\u0263': 'y',
    u'\u1D8C': 'y',
    u'\uFF59': 'y',
    u'\u028F': 'y',
    u'\u1EFF': 'y',
    u'\uAB5A': 'y',
    u'\u03B3': 'y',
    u'\u213D': 'y',
    u'\u0443': 'y',
    u'\u04AF': 'y',
    u'\u10E7': 'y',
    u'\uFF39': 'y',
    u'\u03A5': 'y',
    u'\u03D2': 'y',
    u'\u2CA8': 'y',
    u'\u0423': 'y',
    u'\u04AE': 'y',
    u'\u13A9': 'y',
    u'\u13BD': 'y',
    u'\uA4EC': 'y',
    u'\u01B4': 'y',
    u'\u024F': 'y',
    u'\u04B1': 'y',
    u'\u00A5': 'y',
    u'\u024E': 'y',
    u'\u04B0': 'y',
    u'\U0001D433': 'z',
    u'\U0001D467': 'z',
    u'\U0001D49B': 'z',
    u'\U0001D4CF': 'z',
    u'\U0001D503': 'z',
    u'\U0001D537': 'z',
    u'\U0001D56B': 'z',
    u'\U0001D59F': 'z',
    u'\U0001D5D3': 'z',
    u'\U0001D607': 'z',
    u'\U0001D63B': 'z',
    u'\U0001D66F': 'z',
    u'\U0001D6A3': 'z',
    u'\U000118C4': 'z',
    u'\U000102F5': 'z',
    u'\U000118E5': 'z',
    u'\U0001D419': 'z',
    u'\U0001D44D': 'z',
    u'\U0001D481': 'z',
    u'\U0001D4B5': 'z',
    u'\U0001D4E9': 'z',
    u'\U0001D585': 'z',
    u'\U0001D5B9': 'z',
    u'\U0001D5ED': 'z',
    u'\U0001D621': 'z',
    u'\U0001D655': 'z',
    u'\U0001D689': 'z',
    u'\U0001D6AD': 'z',
    u'\U0001D6E7': 'z',
    u'\U0001D721': 'z',
    u'\U0001D75B': 'z',
    u'\U0001D795': 'z',
    u'\U000118A9': 'z',
    u'\u1D22': 'z',
    u'\uAB93': 'z',
    u'\uFF3A': 'z',
    u'\u2124': 'z',
    u'\u2128': 'z',
    u'\u0396': 'z',
    u'\u13C3': 'z',
    u'\uA4DC': 'z',
    u'\u0290': 'z',
    u'\u01B6': 'z',
    u'\u01B5': 'z',
    u'\u0225': 'z',
    u'\u0224': 'z',
    u'\u1D76': 'z',
    u'\u2010': '-',
    u'\u2011': '-',
    u'\u2012': '-',
    u'\u2013': '-',
    u'\uFE58': '-',
    u'\u06D4': '-',
    u'\u2043': '-',
    u'\u02D7': '-',
    u'\u2212': '-',
    u'\u2796': '-',
    u'\u2CBA': '-'
}

def unconfuse(domain):
    unconfused = domain
    if domain.startswith('xn--'):
        try:
            domain = domain.encode('idna').decode('idna')
            unconfused = ''
            for i in range(len(domain)):
                if domain[i] in confusables:
                    unconfused += confusables[domain[i]]
                else:
                    unconfused += domain[i]

        except UnicodeError:
            try:
                domain = domain.encode('idna')
                unconfused = domain.decode('utf-8')

            except UnicodeError:
                unconfused = domain.decode('utf-8')

    return unconfused

